#
# Cookbook Name:: linux-basic
# Recipe:: system
#
# Copyright 2015, http://DennyZhang.com
#
# All rights reserved - Do Not Redistribute
#

################ Change hostname #############################
# node.default["set_fqdn"]="test.dennyzhang.com"
# include_recipe "hostname"
##############################################################

################ /etc/hosts ##################################
# Add current hostname to /etc/hosts
ruby_block "Current hostname in /etc/hosts" do
  block do
    file = Chef::Util::FileEdit.new("/etc/hosts")
    file.insert_line_if_no_match(
      "# Edited by Chef",
      "\n# Edited by Chef\n#{node['ipaddress']}    #{node['hostname']}"
    )
    file.write_file
  end
  not_if "grep \"#{node['ipaddress']}.*`hostname -s`\" /etc/hosts"
end

# Comment out 127.0.1.1
execute "Comment out 17.0.1.1 from /etc/hosts" do
  command "sed -i 's/^127.0.1.1/#127.0.1.1/g' /etc/hosts"
  action :run
  only_if "grep '^127.0.1.1' /etc/hosts"
end
##############################################################
